#ifndef __FILESELECTOR_H__
#define __FILESELECTOR_H__

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/listctrl.h>
//	#include <wx/wx.h>
	#include <wx/dir.h>
	#include <wx/list.h>
#endif


#include "ImageMatrix.h"
#include "Options.h"
#include "Image.h"

class FileSelector: public wxListView {
public:
	FileSelector(wxWindow* parent, ImageMatrix *mtx);
	virtual ~FileSelector();
	void Refresh();

private:
	void ShowSelection();

	wxBitmap *getThumbnail(wxString file);
	wxImageList *imagelist;
	ImageMatrix *matrix;

	DECLARE_NO_COPY_CLASS(FileSelector)
};

#endif
