#ifndef __IMAGEMATRIX_H__
#define __IMAGEMATRIX_H__

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/imaglist.h>
	#include <wx/dc.h>
	#include <wx/list.h>
	#include <wx/scrolwin.h>
#endif
#include "Image.h"
#include "Options.h"

class ImageMatrix: public wxScrolledWindow {
public:
	ImageMatrix(wxWindow* parent);
	virtual ~ImageMatrix();

	virtual void OnDraw(wxDC& dc);
	void Update(wxList* list);
	void OnSize(wxSizeEvent& event);

private:
	wxImageList *imglst;
	wxList *images;

    DECLARE_EVENT_TABLE()
	DECLARE_NO_COPY_CLASS(ImageMatrix)
};

#endif
