#ifndef __OPTIONS_H__
#define __OPTIONS_H__

#include <wx/wx.h>

typedef struct grpMainWindow {
	int x;
	int y;
	int w;
	int h;
	bool maximized;
} grpMainWindow;

typedef struct grpSash {
	int pos;
} grpSash;


class Options {
public:
	Options();
	~Options();
	bool Save();
	bool Load();

	// Options groups:
	grpMainWindow mainwindow;
	grpSash sash;
	wxString *path;
	int cols;
	int rows;
};

extern Options options;

#endif
