// ----------------------------------------------------------------------------
// FileSelector
// ----------------------------------------------------------------------------
#include "FileSelector.h"

/*FileSelector::FileSelector(wxWindow* parent)
        : wxScrolledWindow(parent, -1, wxDefaultPosition, wxDefaultSize,
                           wxNO_FULL_REPAINT_ON_RESIZE) {*/

FileSelector::FileSelector(wxWindow* parent, ImageMatrix *mtx)
        : wxListView(parent)
{
	matrix = mtx;
	Refresh();
}

FileSelector::~FileSelector() {}

#define SEP '/'

void FileSelector::Refresh() {
	//
	//
	// TODO Clean list if not empty
	//
	//
	int grey = 0;
	wxArrayString *files = new wxArrayString();
	wxDir *dir = new wxDir();
	
	dir->GetAllFiles(options.path->GetData(), files, wxEmptyString, wxDIR_FILES);
	imagelist = new wxImageList(32, 32);
	SetImageList(imagelist, wxIMAGE_LIST_SMALL);
	
	InsertColumn(0, "Date", wxLIST_FORMAT_LEFT, 100);
	InsertColumn(0, "File", wxLIST_FORMAT_LEFT, 175);
	
	wxListItem *li;
	Image *img;
//	wxBitmap *bmp;
	for(int cnt = 0; cnt < files->Count(); cnt++) {
//		bmp = getThumbnail(files->Item(cnt));
//		imagelist->Add(*bmp);
		img = new Image(files->Item(cnt));
		imagelist->Add(*img->getThumbnail());
		
		li = new wxListItem();
		li->SetImage(cnt);
		li->SetText(img->getName()->GetData());
		li->SetData(img);
		
		grey = 1 - grey;
		if(grey) li->SetBackgroundColour(wxColour(235, 235, 235));
		else li->SetBackgroundColour(wxColour(255, 255, 255));
		InsertItem(*li);
		SetItem(0, 1, img->getDate()->GetData());
	}
}

void FileSelector::ShowSelection() {
	
}
